Get quote
curl --request GET \
--url https://api.business.bumxpress.com/quotes/{quote_id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_type": "payin",
"status": "active",
"expires_at": "2023-11-07T05:31:56Z",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"country_code": "CM",
"operator_code": "<string>",
"rail_type": "mobile_money",
"corridor_code": "<string>",
"corridor_type": "<string>",
"payer_operator_code": "<string>",
"recipient_operator_code": "<string>",
"total_fee": "10000",
"wallet_impact": {},
"created_at": "2023-11-07T05:31:56Z",
"_meta": {
"idempotency_key": "<string>",
"idempotency_replayed": true
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Quotes
Get quote
Retrieve a payin, payout, or transfer quote by ID.
GET
https://api.business.bumxpress.com
/
quotes
/
{quote_id}
Get quote
curl --request GET \
--url https://api.business.bumxpress.com/quotes/{quote_id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_type": "payin",
"status": "active",
"expires_at": "2023-11-07T05:31:56Z",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"country_code": "CM",
"operator_code": "<string>",
"rail_type": "mobile_money",
"corridor_code": "<string>",
"corridor_type": "<string>",
"payer_operator_code": "<string>",
"recipient_operator_code": "<string>",
"total_fee": "10000",
"wallet_impact": {},
"created_at": "2023-11-07T05:31:56Z",
"_meta": {
"idempotency_key": "<string>",
"idempotency_replayed": true
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Expired quotes cannot be used to create payment resources.
Authorizations
Public API key from the merchant dashboard.
Secret shown once when the API key is created.
Path Parameters
Response
Quote object.
Available options:
payin, payout, transfer Available options:
active, expired, consumed Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Required string length:
2Example:
"CM"
Available options:
mobile_money, bank_transfer Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Show child attributes
Show child attributes
Last modified on July 8, 2026